Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.Verify Method (String, DatabaseConfig, Database..::.VerifyOperation)
Database Class See Also Send Feedback

Verify the integrity of all databases in the file specified by file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public static void Verify(
    	string file,
    	DatabaseConfig cfg,
    	Database..::.VerifyOperation op
    )

Visual Basic (Declaration)
    Public Shared Sub Verify ( _
    	file As String, _
    	cfg As DatabaseConfig, _
    	op As Database..::.VerifyOperation _
    )

Visual C++
    public:
    static void Verify(
    	String^ file,
    	DatabaseConfig^ cfg,
    	Database..::.VerifyOperation op
    )

#### Parameters

file
  Type: System..::.String
  The physical file in which the databases to be verified are found.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  Configuration parameters for the databases to be verified.

op
  Type: BerkeleyDB..::.Database..::.VerifyOperation
  The extent of verification

# Remarks

Berkeley DB normally verifies that btree keys and duplicate items are correctly sorted, and hash keys are correctly hashed. If the file being verified contains multiple databases using differing sorting or hashing algorithms, some of them must necessarily fail database verification because only one sort order or hash function can be specified in cfg. To verify files with multiple databases having differing sorting orders or hashing functions, first perform verification of the file as a whole by using NO_ORDER_CHECK, and then individually verify the sort order and hashing function for each database in the file using ORDER_CHECK_ONLY.

# See Also

Database Class
Verify Overload
BerkeleyDB Namespace